Bug 2092549 (CVE-2022-1976) - CVE-2022-1976 kernel: incorrect in-flight accounting in io_uring leads to use-after-free
Summary: CVE-2022-1976 kernel: incorrect in-flight accounting in io_uring leads to use...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-1976
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2096914
Blocks: 2092550 2092551
TreeView+ depends on / blocked
 
Reported: 2022-06-01 19:21 UTC by Marian Rehak
Modified: 2022-08-25 14:20 UTC (History)
52 users (show)

Fixed In Version: kernel 5.19-rc1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel’s implementation of IO-URING. This flaw allows an attacker with local executable permission to create a string of requests that can cause a use-after-free flaw within the kernel. This issue leads to memory corruption and possible privilege escalation.
Clone Of:
Environment:
Last Closed: 2022-08-23 05:42:17 UTC


Attachments (Terms of Use)

Description Marian Rehak 2022-06-01 19:21:36 UTC
A flaw was found in the Linux kernels implementation of IO-URING.   An attacker with a local executable permission can create a string of requests which is able to create a use-after-free flaw within the kernel creating memory corruption and possible privilege escalation.


Upstream:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=9cae36a094e7e9d6e5fe8b6dcd4642138b3eb0c7

Comment 2 Marian Rehak 2022-06-14 14:36:24 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2096914]

Comment 3 Justin M. Forbes 2022-06-29 16:13:38 UTC
This was fixed for Fedora with the 5.18.6 stable kernel updates.


Note You need to log in before you can comment on or make changes to this bug.